# Copyright (C) 2007 Tobias Nielsen <tobibobi@gmail.com>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# first this line tells how many subdirectories that are present from this
# directory - the Makefiles present in these subdirs must also be 
# generated via configure as we will see in a moment.
SUBDIRS=graph plane visualizer

# This line tells which other includes that must be used. This is 
# added directly to the gcc ... line.
INCLUDES=-I$(top_srcdir)/eks2/headers ${LTDLINCL} -I${top_srcdir}/eks2/plane

# So this is one of the importa nt lines.
# notice the noinst prefix that tells that the library is not to be installed
# just generated
# the suffix tells what is to be made (library, ltlibrary or program)
# in this case its the libsystem.la that are specified below...
noinst_LTLIBRARIES=libsystem.la

# as one can see there is a lot of different lines in a file like this, and
# we will now display the meening of each line as we take a deeper look.
EXTRA_DIST=					\
	headers/fitness_evaluator.hpp  		\
	headers/path.hpp        		\
	headers/segment.hpp			\
	headers/orientedpoint.hpp      		\
	headers/population.hpp  		\
	headers/vector.hpp			\
	generate.sh 				\
	config.txt
if BUILD_GTKMM
noinst_PROGRAMS=testGtkmm # test_system

testGtkmm_SOURCES=main-vis.cpp
testGtkmm_LDFLAGS=$(DEPS_LIBS) $(LIBLTDL) @LIBXML_LIBS@
testGtkmm_LDADD=libsystem.la \
	visualizer/libtestGtkmm.la
testGtkmm_CPPFLAGS=@LIBXML_CFLAGS@ @DEPS_CFLAGS@

else
noinst_PROGRAMS=test_system
endif


#test_system_SOURCES=main.cpp
#test_system_LDADD=				\
#	genetic/libcheck.la			\
#	plane/libplane.la 			\
#	graph/libgraph.la 
# here we go.
# here you can see one of the lines for this library
# notice the prefix is now the name of the library that we want to build
# if we were to do it to another nae, we would just have done it with 
# that name.
# notice also that any dot is replaced with an underline now.
libsystem_la_LIBADD=				\
	graph/libgraph.la			\
	plane/libplane.la

libsystem_la_SOURCES=dummy.cpp

#test_system_LDFLAGS= -export-dynamic $(LIBLTDL) "-dlopen" self "-dlopen" libgp.la 

AM_CPPFLAGS=-Wall

TESTS=testGtkmm # test_system

BUILT_SOURCES=uav-config.h

uav-config.h : config.txt generate.sh
	${srcdir}/generate.sh --config-file=${srcdir}/$< --output=$@
